Default [Q] Noob question regarding gapps

So, some versions of gapps seem to be compatible with ART, and others are not. I'm wondering: if I find a gapps build (example: pa_gapps from 11/11/13) that is originally compatible with ART, is it safe to update my apps from the google play store after I load up art? Or am I supposed to keep all my apps the same?

In other words, does updating my apps in the app store change the version/compatibility of the gapps I flash with a rom? Is having the latest gapps build the same as having the most updated version of the apps from the google play store?

I hope I'm making sense